%global commit 4360b2aac1762eb72f4154e47dd2b198986d4add
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           libpasastro
Version:        1.1
Release:        8.20191024git%{shortcommit}%{?dist}
Summary:        Pascal interface for standard astronomy libraries

License:        GPLv2+
URL:            http://sourceforge.net/projects/libpasastro/
Source0:        https://github.com/pchev/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

# Patch to fix stripping of library files
# Since this is Fedora specific we don't ask upstream to include
Patch0:         libpasastro-1.1-nostrip.patch

BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(libraw)

Provides:       bundled(wcstools) = 3.9.5


%description
Libpasastro provides shared libraries to interface Pascal program 
with standard astronomy libraries.
libpasgetdss.so : Interface with GetDSS to work with DSS images.
libpasplan404.so : Interface with Plan404 to compute planets position.
libpaswcs.so : Interface with libwcs to work with FITS WCS.
libpasraw.so : Interface with libraw to decode camera raw files.

%prep
%autosetup -n %{name}-%{commit} -p1

# fix library path in install.sh script on 64bit
sed -i 's/\$destdir\/lib/\$destdir\/%{_lib}/g' ./install.sh

%build
make %{_smp_mflags} arch_flags="%{optflags}"


%install
make install PREFIX=%{buildroot}%{_prefix}


%files
%doc %{_datadir}/doc/%{name}/
%{_libdir}/libpas*.so.*


%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-7.20171110svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-6.20171110svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-5.20171110svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 29 2018 Mattia Verga <mattia.verga@yandex.com> - 1.1-4.20171110svn
- Remove ldconfig scriptlets

* Mon Feb 19 2018 Mattia Verga <mattia.verga@email.it> - 1.1-3.20171110svn
- Add gcc-c++ as BR

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-2.20171110svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Nov 10 2017 Mattia Verga <mattia.verga@email.it> - 1.1-1.20171110svn
- Update to 1.1 rev 20

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-10.20160111svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-9.20160111svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-8.20160111svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-7.20160111svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 11 2016 Mattia Verga <mattia.verga@tiscali.it> - 1.0-6.20160111svn
- Update to svn rev 9

* Fri Jan 1 2016 Mattia Verga <mattia.verga@tiscali.it> - 1.0-5.20151222svn
- Remove fpc and lazarus BR and remove ExcludeArch
- Update to svn rev 6
- Use optflags for debugging generation and remove hardcoded patch

* Sun Dec 20 2015 Mattia Verga <mattia.verga@tiscali.it> - 1.0-4.20151219svn
- Properly set ExcludeArch

* Sun Dec 20 2015 Mattia Verga <mattia.verga@tiscali.it> - 1.0-3.20151219svn
- Better symlinks creation

* Sat Dec 19 2015 Mattia Verga <mattia.verga@tiscali.it> - 1.0-2.20151219svn
- Use svn updated sources
- Create symlinks to soname

* Fri Dec 18 2015 Mattia Verga <mattia.verga@tiscali.it> - 1.0-1
- Initial release
